/*@use "variables" as *;
@use "media-query" as *;*/


@media only screen and (max-width: 989px) {
/*@include media-query($medium-down) {*/

  .header{
    .made_in_canada_new{ display: none; }
  }

  .mobile_search_new {
    border-bottom: 1px solid #282828;
    .search-action {
      display: block !important;
      padding: 7px 20px;
    }
    .header-actions__action{
      width: 100%;
      display: flex;
      align-items:center;
      justify-content: space-between;
      .svg-wrapper { 
        width:24px; height:24px; 
        svg{ width:100%; height:100%; }
      }
      .search_text_new{ 
        display: block !important;
        padding: 8px 0 8px 20px;
        width: calc(100% - 24px);
        text-align: left;
        color: #081C3E;
        font-family: var(--font-pitchsans--family);
        font-size: 16px;
        font-weight: 700;
        line-height: 100%;
        letter-spacing: 0.32px;
        text-transform: uppercase;
        background: url(cursor_icon.gif) no-repeat left -5px center;
        background-size: auto 32px;
      }
    }
  }

  .dialog-modal .predictive-search-form__header:has(.predictive-search__reset-button:not(.predictive-search__reset-button[hidden])):before{ display: none; }

  .predictive-search__reset-button{ display: none !important; }

  .predictive-search__close-modal-button{
    width: 48px;
    height: 48px;
    padding: 0 !important;
    .svg-wrapper { 
      width:18px; height:18px; 
      svg{ width:100%; height:100%; }
    }
  }

  .predictive-search-form__header{
    padding: 0px 0px 0px 20px;
    .search-input{
      padding: 8px 0 8px 44px;
      text-align: left;
      color: #081C3E;
      font-family: var(--font-pitchsans--family);
      font-size: 16px;
      font-weight: 700;
      line-height: 100%;
      letter-spacing: 0.32px;
      text-transform: uppercase;
      background: url(cursor_icon.gif) no-repeat left 18px center;
      background-size: auto 32px;
      caret-color: rgba(0, 0, 0, 0);
    }
    
    .search-input:-webkit-autofill {
        -webkit-text-fill-color: #081C3E !important;
        box-shadow: 0 0 0 1000px var(--input-bg, #fff) inset
    }

    .search-input.typing {
        background: #fff;
        caret-color: #000
    }

    .search-input::-webkit-input-placeholder {
        color: #081C3E
    }

    .search-input::-moz-placeholder {
        color: #081C3E
    }

    .search-input:-ms-input-placeholder {
        color: #081C3E
    }

    .search-input:-moz-placeholder {
        color: #081C3E
    }

    .predictive-search__reset-button{
      display: none !important;
    }
  }

  /* Header */
  .header__columns {
      padding: 0 20px 0 20px !important;
      position: relative;
  }

  .menu-drawer svg {
    width: auto;
  }

  .menu-drawer__navigation {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
  }

  .header__columns {
    display: flex;
    justify-content: space-between;
    padding: 0 20px;
  }

  .header__drawer {
    display: flex;
    min-height: 55px !important;
  }

  .menu-drawer-container {
    .header__icon--menu {
      padding: 0;
      width: auto;
      height: 55px;
      border-radius: 0;

      .header-drawer-icon {
        width: 24px;
        height: 24px;
      }

      .svg-wrapper>svg {
        width: 100%;
        height: 100%;
      }
    }
  }

  .header__columns .search-action{
    display: none;
  }

  .menu-drawer {
    width: 100%;
    max-width: 100%;
    transition: none;
    height: calc(var(--drawer-height) - 88px);
    top: 88px;
    justify-content: space-between;
    box-shadow: 0 0 0;
    overflow: scroll !important;
  }
  .menu-drawer__backdrop{
    top: 88px;
  }

  [data-scroll-direction="up"] .menu-drawer,
  [data-scroll-direction="down"] .menu-drawer {
    height: calc(var(--drawer-height) - 55px);
    top: 55px;
  }

  [data-scroll-direction="up"] .menu-drawer__backdrop,
  [data-scroll-direction="down"] .menu-drawer__backdrop {
    top: 55px;
  }


  .menu-drawer__close-button {
    padding: 0px 0;
    width: auto;
    height: 55px;
    border-radius: 0;
    border:0;
    box-shadow:0 0 0;

    .header-drawer-icon {
      width: 24px;
      height: 24px;
      display: flex;
    }

    .svg-wrapper>svg {
      width: 100%;
      height: 100%;
    }
  }

  details[open] {
    .header__icon--menu {
      display: none;
    }

    .menu-drawer__close-button {
      display: block;
    }
  }

  .header-menu {
    display: none;
  }

  .header__column--left {
    width: calc(50% - 76px);
    display: flex !important;
  }

  .header__column--right {
    width: calc(50% - 76px);
    display: flex !important;
    gap: 0;
    padding-right: 0;
    header-actions{
      gap: 12px;
    }
  }

  .menu-drawer__menu-item>.svg-wrapper{
    padding-inline-start: 0;
    flex-shrink: 0;
    padding-block: 0;
  }

  .icon-caret--backward svg {
    transform: rotate(0deg);
    width: 12px;
    height: 13px;
  }
  .menu-drawer__menu-item{
    .icon-caret--forward svg {
      transform: rotate(-180deg);
    }
  }

  .menu-drawer__menu.has-submenu {
    padding: 18px 0 14px 0;
    margin: 0px 0 0px 0 !important;

    .menu-drawer__list-item--flat {
      margin-bottom: 0px;

      &:last-child {
        margin-bottom: 0;
      }
    }

    .menu-drawer__list-item--divider {
      border-block-end: 1px solid #fff;
    }

    .menu-drawer__list-item--deep.menu-drawer__list-item--divider .menu-drawer__menu{
      padding-right:0; padding-bottom:0;
    }

    .menu-drawer__menu-item {
      padding: 6px 20px;
      animation: none !important;
      min-height: initial !important;

      .menu-drawer__menu-item-text {
        font-size: 28px;
        font-weight: 400;
        line-height: 112%;
        letter-spacing: -0.56px;
        text-transform: none;
      }
    }
  }

  .menu-drawer__back-button{
    padding: 16px 20px 16px 20px;
    font-family: var(--font-pitchsans--family);
    font-size: 16px;
    font-weight: 700;
    line-height: 100%;
    letter-spacing: 0.32px;
    text-transform: uppercase;
    .svg-wrapper{ margin-right: 8px; }
  }

  .menu-drawer__menu--childlist{
    padding:0;
  }
  .menu-drawer__menu-item--parent{
    color: inherit;
    font-size: 28px;
    font-weight: 400;
    line-height: 112%;
    letter-spacing: -0.56px;
  }

  .menu-drawer__menu--childlist{
    .menu-drawer__menu-item--child{ 
      padding:0 0 16px 0 !important; 
      .menu-drawer__menu-item-text{
        font-size: 20px !important;
        line-height: 20px !important;
      }
    }
  }

  body:has(.menu-drawer__menu-container.menu-open) .Header_drawer_inneritem_new{ overflow: hidden !important; }
  .menu-open>.menu-drawer__submenu:not(.menu-drawer__menu--childlist){
    height: calc(100dvh - 145px);
    position: fixed;
  }
  body:has([data-scroll-direction="up"]) .menu-open>.menu-drawer__submenu:not(.menu-drawer__menu--childlist){
    height: calc(100dvh - 112px);
  }

  .menu-drawer__navigation{ display: block; position: relative; overflow: scroll; }

  .menu-drawer__utility-links{

    animation: none !important;
    border-top: 1px solid #081C3E;
    margin-left:0;
    margin-bottom:0;
    justify-content: space-between;
    padding: 0 20px;
    flex-direction: row;

    .drawer-localization .drawer-localization__button{
      height:56px;
      .drawer-localization__button--label{
        font-family: var(--font-pitchsans--family);
        font-size: 16px;
        font-weight: 700;
        line-height: 100%;
        letter-spacing: 0.32px;
        text-transform: uppercase;
        
      }
      .icon-caret{ 
        width: 16px; height: 16px;
        padding:0 0 0 0;
        margin:0 0 0 4px;
        svg{transform: rotate(0deg);}
      }
      
    }

    .drawer-localization[open]{
      .drawer-localization__button {
        .icon-caret {
          svg {
              transform: rotate(180deg);
          }
        }
      }
    }

    .made_in_canada_new{
        display: flex;
        position: relative;
        height: 56px;
        left: auto;
        top: auto;
        justify-content: flex-start;
        font-size: 14px;
        font-weight: 700;
        letter-spacing: 0.28px;
        color: inherit;
        img{
            max-width: 14px;
        }
    }

    localization-form-component {
      border-radius: 0;
      box-shadow:0 0 0;
      border: 1px solid var(--color-foreground);
      font-family: var(--font-pitchsans--family);
      font-size: 14px;
      font-weight: 700;
      line-height: 100%;
      letter-spacing: 0.28px;
      text-transform: uppercase;
      
      .country-filter__input{
          text-transform: uppercase;
      }
    }

    localization-form-component{
      border-bottom:0;
    }

  }


  .Header_drawer_main_new{
    .Header_drawer_inner_new {
      .Header_drawer_mainitem_new{
        .Header_drawer_inneritem_new{display: block; position: relative; overflow: scroll;
          .Header_drawer_inneritem_loop_new{
            padding:24px 20px 8px 20px !important;  position: relative;
            li{
              display:block; padding-bottom: 12px; font-size: 28px;line-height: 112%; letter-spacing: -0.56px;
              a{
                padding: 0px;
                .menu-drawer__menu-item-text{display:flex; align-items:center; grid-gap: 8px;
                    span{border-radius: 12px;background:#D7E2F3;  display: inline-block; padding: 5px 12px; min-width: 111px; text-align: center; font-family: var(--font-pitchsans--family);   font-size: 16px;font-weight: 700;line-height: 100%;letter-spacing: 0.32px;text-transform: uppercase;}
                }
              }
              .menu-drawer__menu-container{
                .menu-drawer__menu-item{padding: 0px;
                    .menu-drawer__menu-item-text{font-size: 28px;line-height: 112%;letter-spacing: -0.56px;}
                }
              }
            }
          }
          .Header_drawer_inneritem_mainimage_new{ position: absolute; top:47px; right:0; width:203px; pointer-events: none;
              .Header_drawer_inneritem_innerimage_new{ 
                  img{width:100%; height: auto; }
                  video{width:100%; height: auto; }
              }
          }
          .Header_drawer_inneritem_mainboth_new{padding:0px 20px 30px 20px;
              .Header_drawer_inneritem_innerboth_new{
                  .Header_drawer_inneritem_innerboth_link_new{display: flex; flex-direction: column; grid-gap:12px;
                      .Header_drawer_inneritem_innerboth_link_mainbutton_new{
                          a{min-width: 100%;}
                      }
                  }
                  .Header_drawer_inneritem_innerboth_menu_new{padding: 32px 0px 0px 0px;
                      ul{ display: flex; flex-wrap: wrap; grid-gap: 20px 20px; margin: 0px; padding: 0px; list-style: none;
                          li{
                            width: calc(50% - 10px); display: inline-block;
                            a{font-size: 20px;line-height: 112%;letter-spacing: -0.4px;}
                          }
                      }
                  }
              }
          }       
        }
      }
    }
  }
  .menu-drawer__menu{
      .Megamenu_mainloop_new{padding: 8px 20px 20px 20px;
          .Megamenu_innerloop_new{
              .Megamenu_innerloop_mainblock_new{width: calc(50% - 8px);
                  .Megamenu_innerloop_innerblock_new{
                      .Megamenu_innerloop_innerblock_mainmedia_new{
                          .Megamenu_innerloop_innerblock_innermedia_new{ padding-bottom:50.16%; }
                      }
                  }
              }
          }
      }
  }
  
  /*--megamenu_END--*/
}

@media only screen and (width >=0px) and (width <=749px) {
  .predictive-search-form__footer {
      padding: 0 !important;
      bottom: 0;
      position: relative;
  }

  .predictive-search-results__wrapper-products{ padding-bottom: 2rem; }

  .predictive-search-form__content-wrapper:has([data-search-results]):not(:has(.predictive-search-results__no-results))>.predictive-search-form__content {
    padding-block-end: 1rem;
  }

  .search-modal__content[open] {
    position: fixed;
    top: 0;
    width: 100%;
    left: 0;
    height: 100%;
    z-index: 9;
  }
  .search-modal .predictive-search-form__content-wrapper {
    width: 100%;
    height: calc(100vh - 49px);
    overflow: scroll;
  }
  .predictive-search-results__inner{
        padding-bottom: 3rem;
  }
}
/*@include media-query($medium) {*/
@media only screen and (width >=750px) and (width <=989px) {
  .menu-drawer {
    max-width: 400px;
  }

  .header__column--right{
    gap: 12px;
  }

  .header__column--right .search-action{
    display: flex;
  }
}